Package voltage.core

# Class MultiJack

java.lang.Object
voltage.core.VoltageComponent
voltage.core.MultiJack

Direct Known Subclasses:
  `VoltageAudioJack`, `VoltageMidiJack`, `VoltagePolyJack`

public abstract class MultiJack extends VoltageComponent
This is the abstract base class for multi-jacks. When creating a jack in Voltage, you are creating a multi-jack. All multi-jacks in Voltage can have an unlimited number of jacks. To create and use jacks, use VoltageAudioJack, VoltageMidiJack, or VoltagePolyJack

See Also:
  - `VoltageAudioJack`
  - `VoltagePolyJack`
  - `VoltageMidiJack`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `INITIAL_JACKS_PER_MULTIJACK`
  Default number of jacks for a multi-jack.

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiJack(String name, String displayName, VoltageModule module, Jack.JackType type)`
  `MultiJack(String name, VoltageModule module, Jack.JackType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `IsConnected()`

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INITIAL_JACKS_PER_MULTIJACK

    public static int INITIAL_JACKS_PER_MULTIJACK
    Default number of jacks for a multi-jack. The current default is 6

- ## Constructor Details

  - ### MultiJack

    public MultiJack(String name, String displayName, VoltageModule module, Jack.JackType type)

  - ### MultiJack

    public MultiJack(String name, VoltageModule module, Jack.JackType type)

- ## Method Details

  - ### IsConnected

    public boolean IsConnected()